System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

This attribute is typically used for form-based input controls.

For more information about attributes, see Extending Metadata Using Attributes.

Defines the metadata attribute that ASP.NET server controls use to identify a validation property. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  The name of the validation property.
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the ASP.NET server control's validation property.

  1.0.5000.0
  2.0.0.0